Package org.zkoss.stateless.ui.util

## Class IComponentChecker

- java.lang.Object
- - org.zkoss.stateless.ui.util.IComponentChecker

-     public class IComponentChecker
      extends java.lang.Object

  An IComponent check utils.
  Author:
    katherine

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IComponentChecker()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkAlign​(java.lang.String align, java.lang.String... availableAlign)` |
    `static void` | `checkHflex​(java.lang.String hflex)` |
    `static void` | `checkMode​(java.lang.String mode, java.lang.String... availableMolds)` |
    `static void` | `checkOrient​(java.lang.String orient)` |
    `static void` | `checkOrient​(java.lang.String orient, java.lang.String... availableOrient)` |
    `static void` | `checkValue​(double value)` |
    `static void` | `checkValue​(int value)` |
    `static void` | `checkValue​(java.lang.String value, java.lang.String log, java.lang.String... availableValue)` |
    `static void` | `checkWidth​(java.lang.String width)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IComponentChecker

          public IComponentChecker()

  - ### Method Detail

    - #### checkMode

          public static void checkMode​(java.lang.String mode,
                                       java.lang.String... availableMolds)

    - #### checkOrient

          public static void checkOrient​(java.lang.String orient)

    - #### checkOrient

          public static void checkOrient​(java.lang.String orient,
                                         java.lang.String... availableOrient)

    - #### checkAlign

          public static void checkAlign​(java.lang.String align,
                                        java.lang.String... availableAlign)

    - #### checkWidth

          public static void checkWidth​(java.lang.String width)

    - #### checkHflex

          public static void checkHflex​(java.lang.String hflex)

    - #### checkValue

          public static void checkValue​(int value)

    - #### checkValue

          public static void checkValue​(double value)

    - #### checkValue

          public static void checkValue​(java.lang.String value,
                                        java.lang.String log,
                                        java.lang.String... availableValue)